/*___________________________
Body
___________________________*/

* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 0;
}

#job {
  scroll-margin-top: 1rem;
}

#recruitment {
  scroll-margin-top: 7rem;
}

#entry {
  scroll-margin-top: 9rem;
}

body {
  background: #fff;
  font-family: var(--fontNotoSans);
}

body.navOpen {
  overflow: hidden;
}

.ios-mac {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

@media screen and (max-width: 767px) {
	#job {
		scroll-margin-top: 4rem;
	}

	#support {
		scroll-margin-top: 4rem;
	}

	#recruitment {
		scroll-margin-top: 1rem;
	}

	#entry {
		scroll-margin-top: 6rem;
	}
}

/*
  Base common text style.
  Change to match design.
*/

p,
h5,
h4,
h3,
h2,
h1,
a,
dd,
dt,
li,
figcaption,
button,
label,
input,
address {
  color: var(--colorBlack);
  font-size: var(--fontMax16Min14);
  font-weight: 400;
  line-height: 1.5;
}

/*___________________________
Container
___________________________*/

.container {
  margin: 0 auto;
  max-width: 67.5rem;
}

.for-sp {
  display: none;
}

@media screen and (max-width: 767px) {
  .for-sp {
    display: block;
  }
}

/*___________________________
Header
___________________________*/

.header {
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10;
}

.navbar {
  display: flex;
  gap: 2rem;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 67.5rem;
}

.navbar__logo img {
  max-width: 12.5rem;
}

.navbar__list {
  align-self: center;
  display: flex;
  gap: 1.875rem;
  height: fit-content;
  justify-content: flex-end;
  width: 100%;
}

.navbar__item {
  position: relative;
}

.navbar__label {
  width: fit-content;
}

.navbar__label {
  color: #000;
  font-family: var(--fontNotoSans);
  font-size: var(--fontMax18Min16);
  font-weight: 700;
  line-height: 1.38;
  transition: opacity 0.3s ease-out;
}

a.navbar__label:hover {
  opacity: 0.7;
}

.navdrawer {
  align-items: center;
  background: #e5f0f8;
  display: none;
  flex-direction: column;
  height: 100svh;
  left: 0;
  opacity: 0;
  overflow-y: scroll;
  padding: 7.8rem 2.6rem 1.3rem 2rem;
  pointer-events: none;
  position: fixed;
  top: 0;
  transform: translateX(80%);
  transition: 0.3s ease-out;
  width: 100vw;
  z-index: 1002;
}

.navOpen .navdrawer {
  opacity: 1;
  pointer-events: auto;
  transform: translateX(0);
}

.navdrawer__hamburger {
  position: absolute;
  right: 1.1rem;
  top: 1.6rem;
  width: 3.8rem;
}

.navdrawer__header {
  align-items: flex-end;
  display: flex;
  gap: 1.6rem;
}

.navdrawer__logo {
  width: 16.8rem;
}

.navdrawer__title {
  bottom: -0.5rem;
  font-family: var(--fontNotoSans);
  font-size: 1.2rem;
  font-weight: 700;
  letter-spacing: 0.1em;
  position: relative;
}

.navdrawer__container {
  display: grid;
  grid-template-columns: 1fr;
  margin: 2.6rem auto 0;
  width: 100%;
}

.navdrawer__label {
  border-bottom: 1px solid #d2dbe6;
  color: var(--colorBlack);
  font-family: var(--fontNotoSans);
  font-size: 1.4rem;
  font-weight: 700;
  letter-spacing: 0.01em;
  line-height: 1.6;
  padding: 1.7rem 1.1rem 1.9rem;
  position: relative;
}

.navdrawer__label::before {
  background: var(--colorMain);
  border-radius: 50%;
  content: "";
  content: "";
  height: 0.4rem;
  left: 0;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 0.4rem;
}

.navdrawer__label::after {
  background-image: url(../images/icon-arrow.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  content: "";
  height: 0.94rem;
  position: absolute;
  right: 1rem;
  top: 50%;
  transform: translateY(-50%);
  width: 1.05rem;
}

.navdrawer__list {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  padding-left: 0.5rem;
}

.navdrawer__btn.commonLink {
  flex-shrink: 0;
  height: 5.2rem;
  margin: 4.3rem auto 0 0;
  padding-block: 0;
  width: 20rem;
}

.navdrawer__bottomNav {
  display: flex;
  gap: 3.3rem;
  margin: 5.2rem auto 0 0;
}

.navdrawer__bottomNavItem {
  align-items: center;
  display: flex;
  font-size: 1.2rem;
  gap: 1.8rem;
}

.navdrawer__bottomNavItem::after {
  background-image: url(../images/icon-arrow-target.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  content: "";
  height: 0.75rem;
  width: 1.2rem;
}

.navdrawer__copyright {
  font-size: 1rem;
  margin: 0.7rem auto 0 0;
  text-align: start;
}

.hamburger {
  background: transparent;
  border: none;
  cursor: pointer;
  display: none;
  height: 1.625rem;
  position: relative;
  transition: 0.3s;
  width: 32px;
}

.hamburger span {
  background: #000;
  height: 0.125rem;
  position: absolute;
  transition: transform 0.2s ease-out;
  width: 100%;
}

.hamburger span:nth-child(1) {
  left: 0;
  top: 0;
}

.navOpen .hamburger span:nth-child(1) {
  transform: translate(-0.1rem, 0.7rem) rotate(45deg);
}

.hamburger span:nth-child(2) {
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

.navOpen .hamburger span:nth-child(2) {
  opacity: 0;
  transform: translateX(20px);
}

.hamburger span:nth-child(3) {
  bottom: 0;
  left: 0;
}

.navOpen .hamburger span:nth-child(3) {
  transform: translate(-0.1rem, -0.7rem) rotate(-45deg);
}

@media screen and (max-width: 1080px) {
  .navbar {
    justify-content: space-between;
  }

  .navbar__logo img {
    max-width: 9.375rem;
  }

  .navbar__list {
    display: none;
  }

  .navdrawer {
    display: flex;
  }

  .hamburger {
    display: block;
  }
}

@media screen and (max-width: 550px) {
  .navbar__logo img {
    max-width: 7.5rem;
  }
}

/* -----------------------------------------------------
    header
----------------------------------------------------- */
.header {
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999;
}

.header__container {
  align-items: center;
  display: flex;
  justify-content: space-between;
  padding: 2.1rem 2.1rem 0 3rem;
}

.header__logo {
  width: 12.1rem;
}

.headerNav {
  align-items: center;
  display: flex;
}

.headerNavList {
  display: flex;
  gap: 2.5rem;
  margin-right: 3.3rem;
}

.headerNavList__item a {
  font-size: 1.4rem;
  font-weight: 700;
  transition: 0.3s;
}

.headerNav__contact {
  align-items: center;
  background: var(--colorMain);
  border: 1px solid var(--colorMain);
  border-radius: 2.5rem;
  color: var(--colorWhite);
  display: flex;
  font-family: var(--fontZenKakuGothicNew);
  font-size: 2rem;
  font-weight: 700;
  height: 4.9rem;
  justify-content: center;
  width: 12.4rem;
}

@media (hover: hover) {
  .headerNavList__item a:hover {
    opacity: 0.7;
  }

  .headerNav__contact:hover {
    background: var(--colorWhite);
    border: 1px solid var(--colorMain);
    color: var(--colorMain);
  }
}

@media screen and (max-width: 767px) {
  .header__container {
    padding: 2rem 1.8rem 2rem 1.4rem;
  }

  .header__logo {
    width: 8.3rem;
  }

  .headerNav {
    align-items: center;
    background: #fff;
    flex-direction: column;
    gap: 40px;
    height: 100svh;
    justify-content: center;
    position: fixed;
    right: -100%;
    top: 0;
    transition: 0.4s;
    width: 80%;
    z-index: 1000;
  }

  .headerNav.is-active {
    right: 0;
  }

  .headerNavList {
    align-items: center;
    flex-direction: column;
    gap: 24px;
  }

  .headerNavList__item a,
  .headerNav__contact {
    color: #000;
    font-size: 18px;
    text-decoration: none;
  }
}

.hamburger {
  display: none;
}

@media screen and (max-width: 767px) {
  .hamburger {
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    height: 1.6rem;
    justify-content: center;
    padding: 0;
    width: 3rem;
    z-index: 1001;
  }

  .hamburger span {
    background: var(--colorMain);
    display: block;
    height: 0.3rem;
    transition: 0.3s;
    width: 3rem;
  }

  .hamburger.is-active span:nth-child(1) {
    transform: translateY(0.8rem) rotate(45deg);
  }

  .hamburger.is-active span:nth-child(2) {
    opacity: 0;
  }

  .hamburger.is-active span:nth-child(3) {
    transform: translateY(-0.8rem) rotate(-45deg);
  }
}

/* -----------------------------------------------------
    footer
----------------------------------------------------- */
.footer {
  padding-block: 5.3rem 2.8rem;
}

.footer__top {
  display: grid;
  grid-template-columns: 33rem auto;
}

.footer__logo {
  display: block;
  width: 18.9rem;
}

.footer__info {
  display: grid;
  gap: 2.6rem;
  margin-top: 3.5rem;
}

.footer__name {
  align-items: center;
  display: flex;
  font-size: 1.4rem;
  font-weight: 700;
  gap: 0.4rem;
  line-height: 1.85;
}

@media (hover: hover) {
  .footer__name:hover {
    opacity: 0.7;
  }
}

.footer__name::after {
  background-image: url(../images/icon-arrow-target.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  content: "";
  height: 0.75rem;
  width: 1.2rem;
}

.footer__address {
  font-size: 1.2rem;
  line-height: 1.5;
}

.footerNav {
  display: flex;
  gap: 6rem;
  justify-content: flex-end;
}

.footerNav__list {
  display: flex;
  gap: 4rem;
}

.footerNav__item a,
.footerNav__listList li a {
  font-size: 1.4rem;
  font-weight: 700;
  line-height: 1.35;
}

.footerNav__item a {
  transition: 0.3s;
}

@media (hover: hover) {
  .footerNav__item a:hover {
    opacity: 0.7;
  }
}

.footerNav__listList {
  display: grid;
  gap: 3.5rem;
  margin-top: 3.5rem;
}

.footer__bottom {
  display: grid;
  gap: 0.9rem;
  justify-content: flex-end;
  margin-top: 3.4rem;
}

.footer__bottomNavItem {
  align-items: center;
  display: flex;
  font-size: 1.2rem;
  gap: 2rem;
  margin-left: auto;
  transition: 0.3s;
}

.footerNav__listList a {
  padding-left: 0;
}

.footer__bottomNavItem::after {
  background-image: url(../images/icon-arrow-target.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  content: "";
  height: 0.75rem;
  width: 1.2rem;
}

@media (hover: hover) {
  .footer__bottomNavItem:hover {
    opacity: 0.7;
  }
}

.footer__copyright {
  font-size: 1.2rem;
}

@media screen and (max-width: 767px) {
  .footer {
    padding-block: 5rem 9rem;
  }

  .footer__top {
    grid-template-columns: 1fr;
    justify-items: center;
  }

  .footer__logo {
    margin-inline: auto;
    width: 19.4rem;
  }

  .footer__info {
    gap: 0;
    margin-top: 0;
  }

  .footer__infoItem {
    text-align: center;
  }

  .footer__name {
    justify-content: center;
    margin-top: 2rem;
    text-align: center;
  }

  .footer__address {
    margin-top: 0.5rem;
  }

  .footerNav__list {
    margin-top: 3.7rem;
  }

  .footerNav {
    flex-direction: column;
    gap: 4rem;
  }

  .footerNav__listList {
    gap: 2rem;
    margin-top: 2rem;
  }

  .footerNav__contact {
    margin-inline: auto;
    max-width: 20rem;
  }

  .footer__bottom {
    flex-direction: column;
    margin-top: 5rem;
  }

  .footer__bottomNav {
    gap: 2rem;
    justify-content: center;
  }

  .footer__copyright {
    font-size: 1.2rem;
    margin-top: 1.7rem;
    white-space: nowrap;
  }
}

.grecaptcha-badge {
	position: relative;
	z-index: 1001;
}